import 'package:json_annotation/json_annotation.dart';

import 'account_info_request.dart';

part 'create_session_request.g.dart';

@JsonSerializable()
class CreateSessionRequest {
  final String fio;
  final int pinfl;
  final Device device;

  factory CreateSessionRequest.fromJson(Map<String, dynamic> json) =>
      _$CreateSessionRequestFromJson(json);

  CreateSessionRequest({
    required this.fio,
    required this.pinfl,
    required this.device,
  });

  Map<String, dynamic> toJson() => _$CreateSessionRequestToJson(this);
}
