import 'package:json_annotation/json_annotation.dart';

part 'create_session_response.g.dart';

@JsonSerializable()
class CreateSessionResponse {
  final String sessionId;
  final int lifeTime;
  final String? controlKey;
  final List<int> tasks;

  factory CreateSessionResponse.fromJson(Map<String, dynamic> json) =>
      _$CreateSessionResponseFromJson(json);

  CreateSessionResponse({
    required this.sessionId,
    required this.lifeTime,
    this.controlKey,
    required this.tasks,
  });

  Map<String, dynamic> toJson() => _$CreateSessionResponseToJson(this);
}
