import 'package:json_annotation/json_annotation.dart';

part 'get_token_response.g.dart';

@JsonSerializable()
class GetTokenResponse {
  final String token;

  factory GetTokenResponse.fromJson(Map<String, dynamic> json) =>
      _$GetTokenResponseFromJson(json);

  GetTokenResponse({
    required this.token,
  });

  Map<String, dynamic> toJson() => _$GetTokenResponseToJson(this);
}
