import 'package:json_annotation/json_annotation.dart';

part 'process_response.g.dart';

@JsonSerializable()
class ProcessResponse {
  final bool success;
  final int code;
  final String message;

  factory ProcessResponse.fromJson(Map<String, dynamic> json) =>
      _$ProcessResponseFromJson(json);

  ProcessResponse({
    required this.success,
    required this.code,
    required this.message,
  });

  Map<String, dynamic> toJson() => _$ProcessResponseToJson(this);
}
