import '../model/response/account_info_response.dart';
import '../model/response/create_session_response.dart';
import '../model/response/process_response.dart';

abstract class SoliqIdRepository {
  Future<AccountInfoResponse> setAccountInfo({
    required String deviceId,
    required int projectId,
    required String deviceName,
    required String factoryName,
    required int osType,
    required int pinfl,
    required String osVersion,
    required String appVersion,
    required String firebaseId,
    required String lang,
  });

  Future<CreateSessionResponse> createSession({
    required String deviceId,
    required int projectId,
    required String deviceName,
    required String factoryName,
    required int osType,
    required int pinfl,
    required String osVersion,
    required String appVersion,
    required String firebaseId,
    required String lang,
    required String fio,
  });

  Future<ProcessResponse> setProcess({
    required String deviceId,
    required int id,
    required int asked,
    required String processId,
    required String date,
  });

  Future<ProcessResponse> compareFace({
    required String deviceId,
    required int id,
    required int asked,
    required String processId,
    required String image,
  });
}
